View Issue Details

IDProjectCategoryLast Update
0000178HellionBug2018-03-05 15:10
ReporterChaniAssigned To 
PriorityhighReproducibilityhave not tried 
Status investigating 
Product Version0.2.7 
Target VersionFixed in Version 
Summary0000178: Player lost in space after warp and relog
Description

Floating around my ship doing repairs I noticed I was unable to grab anything to stop my movement (shift). Relogged, Came back to pictures below and no ship or base in sight.
Relogged again to same thing, even restarted client and same result.

Steps To Reproduce

Floating around undocked ship and station while trying to repair/replace items
logout, log back in.

TagsNo tags attached.

Relationships

related to 0000229 closed Logout in Cryopod, Spawn in Space Stuck 
related to 0000118 investigating Player logged out of the cryopod shows outside on random position in the large station. 
related to 0000227 investigating Desync After Warping 

Activities

Chani

Chani

2018-02-20 07:14

reporter  

20180219214759_1.jpg (176,831 bytes)
20180219214759_1.jpg (176,831 bytes)
20180219214805_1.jpg (146,564 bytes)
20180219214805_1.jpg (146,564 bytes)
20180219214812_1.jpg (168,293 bytes)
20180219214812_1.jpg (168,293 bytes)
Shomy

Shomy

2018-02-20 14:56

administrator   ~0000245

Have you used Warp before this happened?

Shomy

Shomy

2018-02-21 17:45

administrator   ~0000249

Last edited: 2018-02-21 17:50

View 2 revisions

Cant get this one to show up. It would be great @Chani if you could give me more info on this one. I would need:

  • The server on which you were playing?
  • Approximate ping that you have on that server?
  • How long was the jump, SS with the direction would be great, or just approximate time that you had in that warp
  • Did you use Match Velocity with the targets where you arrived?
  • Were you close to any object when you have done relog?

If I think of more questions and ways to try to reproduce it I will add a new note. Thank you in advance!

Chani

Chani

2018-02-21 19:12

reporter   ~0000250

So from memory.

I'm on US East Exp. Server.
Usually I'm anywhere from 30 to 60ms ping from any of the US servers.
The jump was my first jump out of Bethyr to a high orbit around Hirath past Enigma
Not exactly sure what you mean by 'SS with the direction' but I'd already decked out the inside of the ship with all t4 so the warp only took about 18-22min ish (from memory)
I'd undocked the ship from the starter base and matched velocity with it before leaving the ship yes.
I was right next to the back of the ship near the engine panel because I realized I forgot to add t4 parts to the ship out there. So was doing that when I noticed I couldn't grab on to the ship (shift was stabilizing me but not pinning me to the ship) So I relogged and found myself wit the pictures attached. Multiple relogs and restarts of the client didn't fix either. Had to die to get things back to normal. I only mention that because when I came back to life and get a suit on as soon as I stepped out of the station I died to impact, respawned again and was able to leave the ship. But none of my bodies ever showed up. Not the first one that should have been near my ship nor the one that died from a ghost impact.

I didn't mention it before because I didn't think it related but now on second thought it might be.
Before I warped at all I was standing in the warp drive room and spawn the glowstick. After trying to drop it I couldn't spawn anything else. (tried multiple detonators) I had to die to fix this. - AFTER that jump mentioned above those detonators I attempted to spawn are permenently floating outside my ship in perfect perpetual matched velocity with my ship. (they don't even spin in place) I have bumped into them a few times and they are like a wall. I've not tried to pick them up though I have the option to. I'm too afraid they might glitch my inventory/spawn-ability. Occasionally they disappear and I don't see them, but later they come back. I didn't think to grab pictures of them but when I get home today I'll grab some snapshots of them and upload them here.

Shomy

Shomy

2018-02-23 12:48

administrator   ~0000251

I tried to replicate by almost doing the exact same steps, but it didn't happen for me. It would be great if anyone who gets this bug comment what they have done so that we can try it out. I will also change the name of the issue since this is a problem for player position that gets teleported back to the server known position for him.

Chani

Chani

2018-02-26 01:25

reporter   ~0000281

I had this happen again, but with different steps. My guess is that it's due to glitched items in space.

I was building my base up in 0.2.7F and while space walking let go of 2 Catalysts. When I went back to pick them up they were stationary and un-moving (not rotating or moving away/toward anything like they matched velocity with my station). I didn't think much of it until I tried to pick them up and couldn't.
I checked my inventory to see if it was full and found it replicated to fill my entire inventory, but I couldn't put any of them in my hands. When I tried to grab back to my base I couldn't.
Relogged.
Found myself back with those glitchy arms and no station to be had. Had to respawn to get back to base only to die as soon as I stepped out of it. After a 2nd respawn it was back to normal, and those catalysts disappeared.

I'm just not going to leave anything floating in space anymore. I've not tried mining yet this time around but that's usually how I mine, drop a canister I carried out there and pick it up on my way back to the ship. Not really sure how those catalysts got bugged though.

Shomy

Shomy

2018-02-26 13:08

administrator   ~0000297

Okay when you drop an item in space, go in and out of any module item will become static, you can collide with it but you cant move it. You can pick it up. I will make a separate bug and we will see once this one with item gets resolved, if this also gets fixed. But we already changed a lot in regards to player positioning, but it's not going to be pushed in 0.2.7 build we don't want to risk new bugs since it needs a lot of testing. Once we release 0.2.7 we will have 0.2.8 shortly after that with this position change to test out.

GrimmSpector

GrimmSpector

2018-03-04 19:04

reporter   ~0000343

I'm having this happen to me a ton, both in the last patch and in 0.2.8. Happens more on the higher ping servers, but still happens on pings in the 40-60 range.

Issue History

Date Modified Username Field Change
2018-02-20 07:14 Chani New Issue
2018-02-20 07:14 Chani File Added: 20180219214759_1.jpg
2018-02-20 07:14 Chani File Added: 20180219214805_1.jpg
2018-02-20 07:14 Chani File Added: 20180219214812_1.jpg
2018-02-20 14:56 Shomy Note Added: 0000245
2018-02-20 14:56 Shomy Status new => deployed
2018-02-20 18:39 Shomy Status deployed => investigating
2018-02-21 17:45 Shomy Note Added: 0000249
2018-02-21 17:50 Shomy Note Edited: 0000249 View Revisions
2018-02-21 19:12 Chani Note Added: 0000250
2018-02-23 12:48 Shomy Note Added: 0000251
2018-02-23 12:57 Shomy Summary Hand textures misplaced and fragmented and I'm lost in space => Player lost in space after warp and relog
2018-02-23 13:03 Shomy Priority normal => high
2018-02-26 01:25 Chani Note Added: 0000281
2018-02-26 13:08 Shomy Note Added: 0000297
2018-03-01 16:26 Shomy Project Experimental => Hellion
2018-03-01 16:26 Shomy Product Version 0.2.7e => 0.2.7
2018-03-04 19:04 GrimmSpector Note Added: 0000343
2018-03-05 14:37 Shomy Relationship added related to 0000229
2018-03-05 14:37 Shomy Relationship added related to 0000118
2018-03-05 15:10 Shomy Relationship added related to 0000227